summaryrefslogtreecommitdiff
path: root/tests/misc/split-fail
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-08-09 09:46:13 +0000
committerJim Meyering <jim@meyering.net>2003-08-09 09:46:13 +0000
commit5d70602ed36312b13f70545c1cb010c02c9337e3 (patch)
treef5f93a80388200aa75f1a3645d8de29ee3958e89 /tests/misc/split-fail
parent27c678fc8933864cda9b5de1c7a88adf4ac3a127 (diff)
downloadcoreutils-5d70602ed36312b13f70545c1cb010c02c9337e3.tar.xz
Reflect that `split -a 0' is now accepted.
Diffstat (limited to 'tests/misc/split-fail')
-rwxr-xr-xtests/misc/split-fail6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/misc/split-fail b/tests/misc/split-fail
index e1a1820b2..93cf8d6f0 100755
--- a/tests/misc/split-fail
+++ b/tests/misc/split-fail
@@ -25,16 +25,16 @@ fi
fail=0
-split -a 0 in 2> /dev/null && fail=1
+split -a 0 in 2> /dev/null || fail=1
split -b 0 in 2> /dev/null && fail=1
split -C 0 in 2> /dev/null && fail=1
split -l 0 in 2> /dev/null && fail=1
# Make sure that the obsolete -N notation still works
-env -u _POSIX2_VERSION split -1 in 2> /dev/null || fail=1
+_POSIX2_VERSION=199209 split -1 in 2> /dev/null || fail=1
# Then make sure that -0 evokes a failure.
-env -u _POSIX2_VERSION split -0 in 2> /dev/null && fail=1
+_POSIX2_VERSION=199209 split -0 in 2> /dev/null && fail=1
# Ensure that split --lines=N and --bytes=N work for N=2^32.
_4gb=4294967296